Firefox включаем старые не подписанные расширения \ аддоны

Начиная с 57 версии FF запретил установку старых, не подписанных расширений
Есть шанс все исправить
Суть метода проста:
открыть винраром файл omni.ja который находится в папке программы
(в папке “core” инсталлятора); далее найти там файл: omni.ja\modules\AppConstants.jsm и в нем изменить два параметра, чтоб стало так:

********************************************************
MOZ_REQUIRE_SIGNING:
//@line 234 “z:\build\build\src\toolkit\modules\AppConstants.jsm”
false,
//@line 238 “z:\build\build\src\toolkit\modules\AppConstants.jsm”

MOZ_ALLOW_LEGACY_EXTENSIONS:
//@line 243 “z:\build\build\src\toolkit\modules\AppConstants.jsm”
true,
//@line 245 “z:\build\build\src\toolkit\modules\AppConstants.jsm”
********************************************************

После этого создать профиль и можно устанавливать любые расширения, включая старые, неподписанные или с недействительной подписью.

Проверить в about:config :
extensions.allow-non-mpc-extensions=true
extensions.legacy.enabled=true
xpinstall.signatures.required=false

Leave a Reply

Your email address will not be published. Required fields are marked *

Scroll to top